package com.zxhyis.tools

import android.annotation.SuppressLint
import android.app.Application
import android.content.Context
import com.applovin.sdk.AppLovinSdk

class FileApp : Application() {

    companion object{

        @SuppressLint("StaticFieldLeak")
        @JvmStatic
        lateinit var fContext:Context

    }

    override fun onCreate() {
        super.onCreate()
        fContext=this
        sdkInit()
    }

    private fun sdkInit(){
        AppLovinSdk.getInstance(this).mediationProvider = "max"
        AppLovinSdk.getInstance(this).initializeSdk {}
    }

}